// clock.cc - Time Functions
// GPLed - Stephan T. Lavavej - http://stl.caltech.edu

#include "clock.hh"

void clockStart(bool doIt) {
    if (doIt) {
        clockReport();
    }
}

long double clockReport() {
    static long double lastret = 0;

    long double ret = (long double) clock() / CLOCKS_PER_SEC;

    long double t = lastret;
    lastret = ret;
    
    return ret - t;
}

void clockPrint(bool doIt) {
    if (doIt) {
        cout << "Seconds elapsed: " << clockReport() << endl;
    }
}
