// common.cc - Common Functions
// GPLed - Stephan T. Lavavej - http://stl.caltech.edu

#include "common.hh"

// Return the nth byte, big-endian, of an unsigned long.
unsigned char decomposeUL(unsigned long ul, int n) {
    if ((n < 0) || (n > 3)) {
        cout << "ERROR: Invalid n passed to decomposeUL()." << endl;
        exit(EXIT_FAILURE);
    }

    return (ul >> (24 - 8 * n)) & 0xFF;
}

// Return the nth byte, big-endian, of an unsigned long long.
unsigned char decomposeULL(unsigned long long ull, int n) {
    if ((n < 0) || (n > 7)) {
        cout << "ERROR: Invalid n passed to decomposeULL()." << endl;
        exit(EXIT_FAILURE);
    }

    return (ull >> (56 - 8 * n)) & 0xFF;
}

unsigned long long bitsToBytes(unsigned long long bits) {
    return bits / 8 + (bits % 8 != 0);
}
