/* main_bzip2test.cc - Main function for bzip2test */
/* GPLed - Stephan T. Lavavej - http://stl.caltech.edu */

#include "bcell.hh"

unsigned char decompose_ul(unsigned long int ul, int n);

int main(int argc, char *argv[]) {

    if (argc != 3) {
        cout << "USAGE: bzip2test infile outfile" << endl;
        exit(EXIT_SUCCESS);
    }

    Bcell cell(argv[1]);
    size_t size = cell.getSize();
    cell.bzip2();
    FILE *fp = file_open_wb(argv[2]);

    for (int n = 0; n < 4; n++) {
        putc(decomposeUL(size, n), fp);
    }

    cell.writeFile(fp);
    file_close(fp);
    cell.mfree();
}
